﻿
$ErrorActionPreference = 'Stop';
$url32 = 'https://msedge.sf.dl.delivery.mp.microsoft.com/filestreamingservice/files/fb1f9512-afcb-401e-b620-71470074a936/MicrosoftEdgeEnterpriseX86.msi'
$url64 = 'https://msedge.sf.dl.delivery.mp.microsoft.com/filestreamingservice/files/4fdb94a2-5317-4428-bc1b-f26677acf79f/MicrosoftEdgeEnterpriseX64.msi'

$packageArgs = @{
  packageName    = $env:ChocolateyPackageName
  fileType       = 'MSI'
  url            = $url32
  url64bit       = $url64

  softwareName   = 'Microsoft Edge'

  checksum       = 'A52AD108562309CE8328976823305A2E01284404D0CE585D3AD9FD0A8DA1EF40'
  checksumType   = 'sha256'
  checksum64     = '78F3FE9624B0A549C63DFD8AD497EF12A3BE209CBCA78C850454DB33022337BD'
  checksumType64 = 'sha256'

  silentArgs     = "/qn /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
